#!/bin/sh
# 	Copyright (c) 2003-2008 The SCO Group, Inc. All Rights Reserved. 

#ident	"@(#)opensrc:src/db/db.sh /main/uw714mp/11"

#
# db-4.4.20 distribution from http://www.sleepycat.com/.
#
# This directory contains:
# 	dist/*		Source files for db-4.4.20 distribution.
#	SCO/*		Additional file(s) for this port.
# 	patches/*	Patches to be applied to the dist direcory.
#	db.sh		Build script (this file).
#

set -x
set -e

VER=4.4.20

cd dist
for patch in 4.4.20-port 4.4.20-html
do
        [ -f ../patches/${patch}.applied ] || {
		${TOOLS}/usr/gnu/bin/patch -p1 -i ../patches/${patch}.patch
                /bin/date > ../patches/${patch}.applied
        }
done

# Configure and build in a separate work directory.
/bin/mkdir -p ../work
cd ../work

# Do not explicitly link libc in shared libraries.
lt_cv_archive_cmds_need_lc=no; export lt_cv_archive_cmds_need_lc

../dist/dist/configure \
        --host=i386-unknown-sysv5UnixWare7.1.4 \
        --build=i386-unknown-sysv5UnixWare7.1.4 \
	--prefix=/usr

# Use ksh otherwise libtool does not work.
$MAKE SHELL=/usr/bin/ksh

# Install headers and libraries in xenv.
[ -n "$TOOLS" ] && {
	$MAKE SHELL=/usr/bin/ksh DESTDIR=/ prefix=$TOOLS/usr \
		install_lib install_include
	rm ${TOOLS}/usr/lib/libdb-4.4.la
	}

# Now install in $ROOT/$MACH.
$MAKE SHELL=/usr/bin/ksh \
	DESTDIR=/ \
	prefix=$ROOT/$MACH/usr \
	docdir=$ROOT/$MACH/usr/share/db/doc install

cd ../dist

# Install LICENSE file.
$INSTALL -d $ROOT/$MACH/usr/share/db
$INSTALL -m 0444 LICENSE $ROOT/$MACH/usr/share/db

cd ../SCO

# Install docview glue.
DIR=/usr/share/meta/doc/UWDeveloper
$INSTALL -d $ROOT/$MACH/$DIR
$INSTALL -m 0444 db.desktop $ROOT/$MACH/$DIR/db.desktop

exit 0
